Actions

Difference between revisions of "Joomla! CMS versions"

From Joomla! Documentation

(Update to show there are bugs updates missing in 3.0)
m (update)
 
(44 intermediate revisions by 9 users not shown)
Line 1: Line 1:
 +
<noinclude><languages /></noinclude>
 +
<translate><!--T:1-->
 +
Check for the latest Joomla! CMS version. If you are not on the latest release, read the release notes to see if you need to upgrade.  If a release is being made in order to address security issues then it is strongly advised that you upgrade as soon as possible. You can see the release history of each series in the table below. Click the '''version history link''' in the notes column to find details on exact release date, release notes and package and MD5s.</translate>
 +
 +
<translate><!--T:2-->
 +
*Normally, you should use the latest version of Joomla! for a new site unless you have a specific reason not to.</translate>
 +
<translate><!--T:3-->
 +
*The latest version can be downloaded from the [http://joomlacode.org/gf/project/joomla/frs/?action=index Joomla! download site].</translate>
 +
<translate><!--T:4-->
 +
* Make sure you '''subscribe to the [http://feeds.joomla.org/JoomlaSecurityNews Joomla! Security Announcements] feed'''. This RSS feed is used to make announcements, including the availability of new releases, that could affect the security of your site. You have the option to subscribe to this feed by RSS or email.</translate>
 +
<translate><!--T:5-->
 +
* If you are running an earlier release of the current version (for example, you are running 2.5.1 and the current version is 2.5.6), you should upgrade to the current version. Each minor release fixes a number of bugs and/or security issues. It is always good practice to upgrade to the latest maintenance version as a first step in troubleshooting a problem and fixing any newly discovered security issues.</translate>
 +
{{-}}
 +
<translate>
 +
==Joomla! CMS versions== <!--T:6-->
 +
</translate>
 
{| border=1 cellpadding=2 cellspacing=0 style="text-align:center; border-collapse:collapse; border-color:#000;"
 
{| border=1 cellpadding=2 cellspacing=0 style="text-align:center; border-collapse:collapse; border-color:#000;"
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | CMS Version
+
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | <translate><!--T:7-->
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | Available
+
CMS Version</translate>
|  colspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | Support
+
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | <translate><!--T:8-->
 +
Available</translate>
 +
|  colspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | <translate><!--T:9-->
 +
Support</translate>
 
|  style='display:none;' |
 
|  style='display:none;' |
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | End of Life
+
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | <translate><!--T:10-->
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | Upgrade Type
+
End of Life</translate>
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | Notes
+
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | <translate><!--T:11-->
 +
Upgrade Type</translate>
 +
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | <translate><!--T:12-->
 +
Notes</translate>
 +
|  rowspan=2 style="text-align:center; background-color:#4a86e8; font-weight:bold;" | <translate><!--T:13-->
 +
Latest Release</translate>
 
|-  
 
|-  
 
|  style='display:none;' |  
 
|  style='display:none;' |  
 
|  style='display:none;' |  
 
|  style='display:none;' |  
|  style="text-align:center; background-color:#4a86e8; font-weight:bold;" | Bugs
+
|  style="text-align:center; background-color:#4a86e8; font-weight:bold;" | <translate><!--T:14-->
|  style="text-align:center; background-color:#4a86e8; font-weight:bold;" | Security
+
Bugs</translate>
 +
|  style="text-align:center; background-color:#4a86e8; font-weight:bold;" | <translate><!--T:15-->
 +
Security</translate>
 +
|  style='display:none;' |
 
|  style='display:none;' |  
 
|  style='display:none;' |  
 
|  style='display:none;' |  
 
|  style='display:none;' |  
Line 20: Line 47:
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
|  style="background-color:#f4cccc;" | Sept 2012
+
|  style="background-color:#f4cccc;" | <translate><!--T:16-->
|  style="background-color:#f4cccc;" | Migration to 2.5
+
Sept 2012</translate>
|  style="background-color:#f4cccc;" | Plan to migrate to 2.5 now
+
|  style="background-color:#f4cccc;" | <translate><!--T:17-->
 +
Migration to 2.5</translate>
 +
|  style="background-color:#f4cccc;" | <translate><!--T:18-->
 +
Plan to migrate to 2.5 now<br/>[[Joomla 1.5 version history]]</translate>
 +
|  style="background-color:#f4cccc;" | <translate><!--T:19-->
 +
'''EOL''' at 1.5.26</translate>
 
|-  
 
|-  
 
|  style="background-color:#f4cccc; font-weight:bold;" | 1.6
 
|  style="background-color:#f4cccc; font-weight:bold;" | 1.6
Line 28: Line 60:
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
|  style="background-color:#f4cccc;" | Aug 2011
+
|  style="background-color:#f4cccc;" | <translate><!--T:20-->
|  style="background-color:#f4cccc;" | One-click to 2.5
+
Aug 2011</translate>
|  style="background-color:#f4cccc;" | Upgrade to 2.5 now
+
|  style="background-color:#f4cccc;" | <translate><!--T:21-->
 +
One-click to 2.5</translate>
 +
|  style="background-color:#f4cccc;" | <translate><!--T:22-->
 +
Upgrade to 2.5 now<br/>[[Joomla 1.6 version history]]</translate>
 +
|  style="background-color:#f4cccc;" | 1.6.6
 
|-
 
|-
 
|  style="background-color:#f4cccc; font-weight:bold;" | 1.7
 
|  style="background-color:#f4cccc; font-weight:bold;" | 1.7
Line 36: Line 72:
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
 
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
|  style="background-color:#f4cccc;" | Feb 2012
+
|  style="background-color:#f4cccc;" | <translate><!--T:23-->
|  style="background-color:#f4cccc;" | One-click to 2.5
+
Feb 2012</translate>
|  style="background-color:#f4cccc;" | Upgrade to 2.5 now
+
|  style="background-color:#f4cccc;" | <translate><!--T:24-->
 +
One-click to 2.5</translate>
 +
|  style="background-color:#f4cccc;" | <translate><!--T:25-->
 +
Upgrade to 2.5 now<br/>[[Joomla 1.7 version history]]</translate>
 +
|  style="background-color:#f4cccc;" | 1.7.5
 
|-
 
|-
 
|  style="background-color:#d9ead3; font-weight:bold;" | 2.5
 
|  style="background-color:#d9ead3; font-weight:bold;" | 2.5
Line 44: Line 84:
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
|  style="background-color:#d9ead3;" | Mar 2014
+
|  style="background-color:#d9ead3;" | <translate><!--T:26-->
|  style="background-color:#d9ead3;" | One-click to 3.5
+
December 31st, 2014</translate>
|  style="background-color:#d9ead3;" | The recommended version for most websites <ref>http://community.joomla.org/blogs/community/1682-joomla-25.html</ref>
+
|  style="background-color:#d9ead3;" | <translate><!--T:27-->
 +
One-click core to 3.x</translate>
 +
|  style="background-color:#d9ead3;" | <translate><!--T:28-->
 +
Start planning for an upgrade to</translate> {{CurrentSTSVer}}<br/><translate><!--T:29-->
 +
[[Joomla 2.5 version history]]</translate>
 +
|  style="background-color:#d9ead3;" | '''{{CurrentLTSVer|maintanence}}'''
 
|-
 
|-
|  style="background-color:#d9ead3; width:100px; font-weight:bold;" | 3.0
+
|  style="background-color:#f4cccc; width:100px; font-weight:bold;" | 3.0
|  style="background-color:#d9ead3; width:100px;" | [[File:Checkmark.png|center]]
+
 
|  style="background-color:#f4cccc; width:100px;" | [[File:X-mark.png|center]]
 
|  style="background-color:#f4cccc; width:100px;" | [[File:X-mark.png|center]]
|  style="background-color:#d9ead3; width:100px;" | [[File:Checkmark.png|center]]
+
|  style="background-color:#f4cccc; width:100px;" | [[File:X-mark.png|center]]
|  style="background-color:#d9ead3; width:100px;" | May 2013
+
|  style="background-color:#f4cccc; width:100px;" | [[File:X-mark.png|center]]
|  style="background-color:#d9ead3; width:100px;" | One-click to 3.1
+
|  style="background-color:#f4cccc; width:100px;" | <translate><!--T:30-->
|  style="background-color:#d9ead3; width:306px;" | You should use the one click upgrade to Joomla 3.1
+
May 2013</translate>
 +
|  style="background-color:#f4cccc; width:100px;" | <translate><!--T:31-->
 +
One-click to 3.1</translate>
 +
|  style="background-color:#f4cccc; width:306px;" | <translate><!--T:32-->
 +
You should use the one click upgrade<br/>[[Joomla 3.0 version history]]</translate>
 +
|  style="background-color:#f4cccc;" | 3.0.4
 
|-
 
|-
|  style="background-color:#d9ead3; font-weight:bold;" | 3.1
+
|  style="background-color:#f4cccc; font-weight:bold;" | 3.1
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|Checkmark.png]]
+
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
+
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
+
|  style="background-color:#f4cccc;" | [[File:X-mark.png|center]]
|  style="background-color:#d9ead3;" | Oct 2013
+
|  style="background-color:#f4cccc;" | <translate><!--T:33-->
|  style="background-color:#d9ead3;" | One-click to 3.2
+
Dec 2013</translate>
|  style="background-color:#d9ead3;" | Use if you want the cutting edge version of Joomla
+
|  style="background-color:#f4cccc;" | <translate><!--T:34-->
 +
One-click to 3.2</translate>
 +
|  style="background-color:#f4cccc;" | <translate><!--T:35-->
 +
You should use the one click upgrade</translate><br/><translate><!--T:54-->
 +
[[Joomla 3.1 version history]]</translate>
 +
|  style="background-color:#f4cccc;" | 3.1.6
 
|-
 
|-
|  style="background-color:#fff; font-weight:bold;" | 3.2
+
|  style="background-color:#f4cccc; font-weight:bold;" | 3.2
|  style="background-color:#fff;"  | Sep 2013
+
|  style="background-color:#f4cccc;"  | [[File:X-mark.png|center]]
 +
|  style="background-color:#f4cccc;"  | [[File:X-mark.png|center]]
 +
|  style="background-color:#f4cccc;"  | [[File:X-mark.png|center]]
 +
|  style="background-color:#f4cccc;"  | <translate><!--T:36-->
 +
Oct 2014<ref>Bug fixes will cease April 2014, security fixes only, see http://community.joomla.org/blogs/leadership/1798-raising-the-bar-on-security.html. <blockquote>"Also, for the six months after Joomla! 3.3 is released, the Joomla! Project will be releasing Security Updates for both 3.2 AND 3.3 (as well as 2.5) so any new vulnerabilities can be promptly patched with a one-click update without the need to immediately update to Joomla! 3.3, giving you time to request your hosting provider to update their PHP version."</blockquote></ref></translate>
 +
|  style="background-color:#f4cccc;"  | <translate><!--T:37-->
 +
One-click to 3.3</translate>
 +
|  style="background-color:#f4cccc;"  | <translate><!--T:38-->
 +
You should upgrade your server's PHP to 5.3.10 or greater and upgrade to 3.3<br/>[[Joomla 3.2 version history]]</translate>
 +
|  style="background-color:#f4cccc;"  | 3.2.7
 +
|-
 +
|  style="background-color:#d9ead3; font-weight:bold;" | 3.3
 +
|  style="background-color:#d9ead3;"  | [[File:Checkmark.png|center]]
 +
|  style="background-color:#d9ead3;"  | [[File:Checkmark.png|center]]
 +
|  style="background-color:#d9ead3;"  | [[File:Checkmark.png|center]]
 +
|  style="background-color:#d9ead3;"  | <translate><!--T:39-->
 +
3.4 release</translate>
 +
|  style="background-color:#d9ead3;"  | <translate><!--T:40-->
 +
One-click</translate>
 +
|  style="background-color:#d9ead3;"  | <translate><!--T:41-->
 +
Recommended for all new installs<br/>[[Joomla 3.3 version history]]</translate>
 +
|  style="background-color:#d9ead3;"  | '''{{CurrentSTSVer|maintanence}}'''
 +
|-
 +
|-
 +
|  style="background-color:#fff; font-weight:bold;" | 3.4<ref name="roadmap"><translate><!--T:55-->
 +
See J3's [http://developer.joomla.org/cms/roadmap.html roadmap] for time frames of all future releases of all Joomla! 3 versions.</translate></ref>
 +
|  style="background-color:#fff;"  | <translate><!--T:42-->
 +
Nov 2014<ref name="roadmap"></ref><ref name="release">Please note that dates may be subject to change depending on availability of volunteers and circumstances beyond the PLT's control.</ref></translate>
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
|  style="background-color:#fff;"  | May 2014
+
|  style="background-color:#fff;"  | <translate><!--T:43-->
|  style="background-color:#fff;"  | One-click to 3.5
+
3.5 release</translate>
 +
|  style="background-color:#fff;"  | <translate><!--T:44-->
 +
One-click</translate>
 +
|  style="background-color:#fff;"  |
 
|  style="background-color:#fff;"  |  
 
|  style="background-color:#fff;"  |  
 
|-
 
|-
|  style="background-color:#fff; font-weight:bold;" | 3.5
+
|  style="background-color:#fff; font-weight:bold;" | 3.5<ref name="roadmap"></ref>
|  style="background-color:#fff;"  | Mar 2014
+
|  style="background-color:#fff;"  | <translate><!--T:45-->
 +
Jan 2015</translate><ref name="roadmap"></ref><ref name="release"></ref>
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
|  style="background-color:#fff;"  | Mar 2016
+
|  style="background-color:#fff;"  | <translate><!--T:46-->
|  style="background-color:#fff;"  | One-click to 4.0
+
3.6 release</translate>
 +
|  style="background-color:#fff;"  | <translate><!--T:47-->
 +
One-click</translate>
 +
|  style="background-color:#fff;"  |
 +
|  style="background-color:#fff;"  |
 +
|-
 +
|  style="background-color:#fff; font-weight:bold;" | ...
 +
|  style="background-color:#fff;"  | ...
 +
|  style="background-color:#fff;"  | ...
 +
|  style="background-color:#fff;"  | ...
 +
|  style="background-color:#fff;"  | ...
 +
|  style="background-color:#fff;"  | ...
 +
|  style="background-color:#fff;"  | ...
 +
|  style="background-color:#fff;"  | ...
 +
|-
 +
|  style="background-color:#fff; font-weight:bold;" | 3.11<ref name="roadmap"></ref>
 +
|  style="background-color:#fff;"  | <translate><!--T:48-->
 +
(Autumn 2015)</translate><ref name="roadmap"></ref><ref name="release"></ref>
 +
|  style="background-color:#fff;"  | -
 +
|  style="background-color:#fff;"  | -
 +
|  style="background-color:#fff;"  | ≥ <translate><!--T:49-->
 +
Oct 2017</translate><ref name="roadmap"></ref>
 +
|  style="background-color:#fff;"  | <translate><!--T:50-->
 +
One-click</translate>
 +
|  style="background-color:#fff;"  | <translate><!--T:51-->
 +
Estimated EOL and last minor release on [http://developer.joomla.org/cms/roadmap.html Joomla 3's roadmap]</translate>
 
|  style="background-color:#fff;"  |  
 
|  style="background-color:#fff;"  |  
 
|-
 
|-
 
|  style="background-color:#fff; font-weight:bold;"  | 4.0
 
|  style="background-color:#fff; font-weight:bold;"  | 4.0
|  style="background-color:#fff;"  | Sep 2014
+
|  style="background-color:#fff;"  | <translate><!--T:52-->
 +
Q2 2015</translate><ref name="release"></ref>
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
 +
|  style="background-color:#fff;"  |
 
|  style="background-color:#fff;"  |  
 
|  style="background-color:#fff;"  |  
 
|  style="background-color:#fff;"  |  
 
|  style="background-color:#fff;"  |  
Line 89: Line 201:
 
|}
 
|}
  
==Notes==
+
<noinclude>
 
<references />
 
<references />
 
+
<translate><!--T:53-->
[[Category:Joomla! versions]]
+
[[Category:Joomla! versions]]</translate>
 +
</noinclude>

Latest revision as of 20:58, 21 November 2014

Other languages: English 100% • ‎español 100% • ‎français 100%

Check for the latest Joomla! CMS version. If you are not on the latest release, read the release notes to see if you need to upgrade. If a release is being made in order to address security issues then it is strongly advised that you upgrade as soon as possible. You can see the release history of each series in the table below. Click the version history link in the notes column to find details on exact release date, release notes and package and MD5s.

  • Normally, you should use the latest version of Joomla! for a new site unless you have a specific reason not to.
  • The latest version can be downloaded from the Joomla! download site.
  • Make sure you subscribe to the Joomla! Security Announcements feed. This RSS feed is used to make announcements, including the availability of new releases, that could affect the security of your site. You have the option to subscribe to this feed by RSS or email.
  • If you are running an earlier release of the current version (for example, you are running 2.5.1 and the current version is 2.5.6), you should upgrade to the current version. Each minor release fixes a number of bugs and/or security issues. It is always good practice to upgrade to the latest maintenance version as a first step in troubleshooting a problem and fixing any newly discovered security issues.

Joomla! CMS versions

CMS Version Available Support End of Life Upgrade Type Notes Latest Release
Bugs Security
1.5
X-mark.png
X-mark.png
X-mark.png
Sept 2012 Migration to 2.5 Plan to migrate to 2.5 now
Joomla 1.5 version history
EOL at 1.5.26
1.6
X-mark.png
X-mark.png
X-mark.png
Aug 2011 One-click to 2.5 Upgrade to 2.5 now
Joomla 1.6 version history
1.6.6
1.7
X-mark.png
X-mark.png
X-mark.png
Feb 2012 One-click to 2.5 Upgrade to 2.5 now
Joomla 1.7 version history
1.7.5
2.5
Checkmark.png
Checkmark.png
Checkmark.png
December 31st, 2014 One-click core to 3.x Start planning for an upgrade to 3.3.6
Joomla 2.5 version history
2.5.27
3.0
X-mark.png
X-mark.png
X-mark.png
May 2013 One-click to 3.1 You should use the one click upgrade
Joomla 3.0 version history
3.0.4
3.1
X-mark.png
X-mark.png
X-mark.png
Dec 2013 One-click to 3.2 You should use the one click upgrade
Joomla 3.1 version history
3.1.6
3.2
X-mark.png
X-mark.png
X-mark.png
Oct 2014[1] One-click to 3.3 You should upgrade your server's PHP to 5.3.10 or greater and upgrade to 3.3
Joomla 3.2 version history
3.2.7
3.3
Checkmark.png
Checkmark.png
Checkmark.png
3.4 release One-click Recommended for all new installs
Joomla 3.3 version history
3.3.6
3.4[2] Nov 2014[2][3] - - 3.5 release One-click
3.5[2] Jan 2015[2][3] - - 3.6 release One-click
... ... ... ... ... ... ... ...
3.11[2] (Autumn 2015)[2][3] - - ≥ Oct 2017[2] One-click Estimated EOL and last minor release on Joomla 3's roadmap
4.0 Q2 2015[3] - -


  1. Bug fixes will cease April 2014, security fixes only, see http://community.joomla.org/blogs/leadership/1798-raising-the-bar-on-security.html.

    "Also, for the six months after Joomla! 3.3 is released, the Joomla! Project will be releasing Security Updates for both 3.2 AND 3.3 (as well as 2.5) so any new vulnerabilities can be promptly patched with a one-click update without the need to immediately update to Joomla! 3.3, giving you time to request your hosting provider to update their PHP version."

  2. 2.0 2.1 2.2 2.3 2.4 2.5 2.6 See J3's roadmap for time frames of all future releases of all Joomla! 3 versions.
  3. 3.0 3.1 3.2 3.3 Please note that dates may be subject to change depending on availability of volunteers and circumstances beyond the PLT's control.